DATA_SECTION
  init_int n
  init_vector x(1,n)
  init_vector y(1,n)

PARAMETER_SECTION
  init_number a
  init_number b
  init_number logsigma
  vector yfit(1,n)
  number RSS
  number sigma
  objective_function_value neglogL

PROCEDURE_SECTION
  yfit = a + b*x;
  RSS = sum(square(y-yfit));
  sigma = exp(logsigma);
  neglogL = 0.5*n*log(2.0*M_PI) + n*logsigma + RSS/(2.0*square(sigma));
